function battle_zai036(npcID)  --暮菖兰-支线

	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end

    local n=flag.GetBattleValue(12001)
	local m=flag.GetBattleValue(12000)
	m=m+1
	flag.SetBattleValue(12000,m)
	if m>=10 then
		ui.Dialog(87057,181,0,npcID,0,0)--哼，皮倒挺厚的！
		battle.End()
		return
	end
	local nhp=battle.GetSelfHP(2)
    if nhp==100 then
        a=battle.GetRndNumber(1,10)
	    if a>=1 and a<=3 then
	        n=n+1
	        flag.SetBattleValue(12001,n)
	        id = battle.GetRndPlayer()
	        battle.AtkToPlayer(id,1)     --普通攻击
	    elseif a>=4 and a<=7 then
	        battle.MagicToPlayer(0,1248,1)   --千卉挽岚
		    flag.SetBattleValue(12001,0)
		else
			id = battle.GetRndPlayer()
		    battle.MagicToPlayer(id,1235,1)   --乘莲踏
			flag.SetBattleValue(12001,0)
	    end

    else
	   ui.Dialog(87058,181,0,npcID,0,0)--哼，撕破我的书，还敢还手！
	   battle.Loose()
    end

end